# -*- rpm-spec -*-
# $Id: kernel-fix-drivers-usb.spec,v 1.9 2004/02/02 17:18:31 vsu Exp $
#

%define patch_name	kernel-fix-drivers-usb

Name: %patch_name
Version: 2004.02.02
Release: alt1

Summary: %patch_name - Linux kernel USB drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

%source  101	01_01-storage-unusual_devs.patch
%source  102	01_02-scanner-0.4.14-new-ids.patch
%source  103	01_03-scanner-0.4.14-max-minor.patch
%source  104	01_04-scanner-0.4.14-disconnect.patch
%source  105	01_05-scanner-0.4.14-cleanup-fix.patch
%source  106	01_06-hcd-ehci-arm-readb.patch
%source  107	01_07-serial-ftdi_sio-new-ids.patch
%source  108	01_08-net-zaurus-750-760.patch
%source  110	01_10-video-pwc-8.11.patch
%source  111	01_11-serial-pl2303-0.10.patch
%source  112	01_12-storage-unusual_devs.patch
%source  113	01_13-hcd-ehci-hs-interrupt.patch
%source  114	01_14-serial-pl2303-fix.patch
%source  115	01_15-serial-ftdi_sio-new-ids.patch
%source  116	01_16-storage-unusual_devs.patch
%source  117	01_17-hcd-ehci-reset-fix.patch
%source  118	01_18-serial-io_ti-new-ids.patch
%source  119	01_19-storage-unusual_devs.patch
%source  120	01_20-serial-ftdi_sio-cleanup.patch
%source  124	01_24-serial-visor-garmin-ique.patch
%source  301	03_01-serial-pl2303-halt-fix.patch
%source  302	03_02-serial-update.patch
%source  303	03_03-serial-pl2303-B0-locking.patch
%source  304	03_04-serial-disconnect-oops.patch
%source  305	03_05-acm-copy_from_user.patch
%source  306	03_06-aiptek-copy_from_user.patch
%source  307	03_07-hcd-uhci-copy_to_user.patch
%source  308	03_08-mdc800-copy_to_user.patch
%source  309	03_09-video-stv680-copy_from_user.patch
%source  310	03_10-video-vicam-copy_to_user.patch
%source  311	03_11-storage-unusual_devs.patch
%source  501	05_01-storage-unusual_devs.patch
%source  502	05_02-pl2303-new-ids.patch
%source  511	05_11-storage-ufi-pad.patch
%source  513	05_13-serial-ipaq-fix.patch
%source  514	05_14-video-locking-fixes.patch
%source  515	05_15-serial-ftdi_sio-new-ids.patch
%source  517	05_17-storage-unusual_devs.patch
%source  802	08_02-scanner-0.4.15.patch
%source  803	08_03-scanner-0.4.15.patch
%source  804	08_04-scanner-0.4.15.patch
%source  808	08_08-serial-visor-treo-600.patch
%source  811	08_11-hcd-ehci-fixes.patch
%source  813	08_13-serial-ftdi_sio-new-ids.patch
%source  814	08_14-serial-ftdi_sio-new-ids.patch
%source  815	08_15-serial-ftdi_sio-version.patch
%source  816	08_16-storage-unusual_devs.patch
%source 1101	11_01-serial-ftdi_sio-new-ids.patch
%source 1103	11_03-scanner-0.4.16.patch
%source 1104	11_04-net-pegasus-update.patch
%source 1105	11_05-storage-unusual_devs.patch
%source 1106	11_06-storage-unusual_devs.patch
%source 1107	11_07-storage-unusual_devs.patch
%source 1108	11_08-storage-unusual_devs.patch
%source 1109	11_09-storage-unusual_devs.patch
%source 1110	11_10-storage-unusual_devs.patch
%source 1111	11_11-storage-unusual_devs.patch
%source 1112	11_12-storage-unusual_devs.patch
%source 1113	11_13-storage-unusual_devs.patch
%source 1114	11_14-storage-unusual_devs.patch
%source 1115	11_15-storage-unusual_devs.patch
%source 1116	11_16-serial-pl2303-new-ids.patch
%source 1117	11_17-serial-io_edgeport-error.patch
%source 1118	11_18-serial-io_edgeport-align.patch
%source 1119	11_19-printer-0.13-backport.patch
%source 1120	11_20-serial-mct_u232-cts.patch
%source 1121	11_21-serial-visor-sony-ux50.patch
%source 1702	17_02-hcd-memalloc.patch
%source 1704	17_04-serial-visor-sony-clie-peg-tj25.patch
%source 1705	17_05-storage-unusual_devs.patch
%source 1706	17_06-storage-unusual_devs.patch
%source 1710	17_10-auerswald-new-ids.patch
%source 1711	17_11-storage-unusual_devs.patch
%source 1712	17_12-storage-unusual_devs.patch
%source 1722	17_22-storage-unusual_devs.patch
%source 1723	17_23-storage-fixes.patch
%source 1724	17_24-core-memalloc.patch
%source 1725	17_25-hcd-ehci-fixes.patch
%source 1727	17_27-storage-unusual_devs.patch
%source 1728	17_28-hcd-ehci-update.patch
%source 1729	17_29-hcd-ehci-update.patch
%source 1730	17_30-hcd-ehci-update.patch

# http://mcmcc.bat.ru/omniusb/omninet.diff
%source 8001	80_01-serial-zyxel-omninet.diff

%source 9001	90_01_hid-core-noget-alt.patch
%source 9002	90_02_usb_storage.patch
%source 9003	90_03_usb-ohci-ALi-fix.patch
%source 9004	90_04_usb-inode-fix.patch
%source 9008	90_08_disable_all_usb.patch
%source 9009	90_09-serial-ipaq-rover-p3plus.patch
%source 9010	90_10-hci_usb-zero-packet.patch


BuildPreReq: kernel-build-tools

%description
Linux kernel USB drivers fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Mon Feb 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.02-alt1
- Added:
  - 17_02-hcd-memalloc.patch: use GFP_NOIO for memory allocations possibly in
    storage path (avoid deadlocks)
  - 17_04-serial-visor-sony-clie-peg-tj25.patch: Sony Clie PEG-TJ25
  - 17_05-storage-unusual_devs.patch: Pentax Optio 330GS camera
  - 17_06-storage-unusual_devs.patch: Feiya 5-in-1 Card Reader
  - 17_10-auerswald-new-ids.patch: COMpact 2204 USB
  - 17_11-storage-unusual_devs.patch: Trumpion MP3 player
  - 17_12-storage-unusual_devs.patch: revert freecom dvd-rw fx-50 usb-ide patch
  - 17_22-storage-unusual_devs.patch: Netac USB-CF
  - 17_23-storage-fixes.patch: usb-storage bugfixes
  - 17_24-core-memalloc.patch: use GFP_NOIO for memory allocations possibly in
    storage path (avoid deadlocks)
  - 17_25-hcd-ehci-fixes.patch: EHCI 8/16-bit access fixes
  - 17_27-storage-unusual_devs.patch: Kyocera Finecam L3
  - 17_28-hcd-ehci-update.patch, 17_29-hcd-ehci-update.patch,
    17_30-hcd-ehci-update.patch: EHCI driver fixes for high bandwidth ISO
    transfers

* Sun Dec 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.14-alt1
- added:
  - 11_01-serial-ftdi_sio-new-ids.patch: add support for Protego devices to
    ftdi_sio driver
  - 11_03-scanner-0.4.16.patch: scanner driver: new device ids
  - 11_04-net-pegasus-update.patch: pegasus driver update (new device ids,
    fixed flags for some devices)
  - 11_05-storage-unusual_devs.patch: Pentax Optio S4
  - 11_06-storage-unusual_devs.patch: Fujifilm EX-20
  - 11_07-storage-unusual_devs.patch: Kyocera S5 camera
  - 11_08-storage-unusual_devs.patch: Minolta DiMAGE 7/7i//7Hi
  - 11_09-storage-unusual_devs.patch: Sony Memory Stick Reader MSAC-US1
  - 11_10-storage-unusual_devs.patch: freecom dvd-rw fx-50 usb-ide
  - 11_11-storage-unusual_devs.patch: CD-509 USB to IDE
  - 11_12-storage-unusual_devs.patch: Mitsumi USB FDD
  - 11_13-storage-unusual_devs.patch: Minolta Dimage S414
  - 11_14-storage-unusual_devs.patch: Medion 6047 Digital Camera
  - 11_15-storage-unusual_devs.patch: Datafab USB to CF + SM Combo (LC1)
  - 11_16-serial-pl2303-new-ids.patch: another ATEN vendor ID
  - 11_17-serial-io_edgeport-error.patch: fix io_edgeport error handling
  - 11_18-serial-io_edgeport-align.patch: fix io_edgeport driver alignment
    issues
  - 11_19-printer-0.13-backport.patch: Backport of printer 2.6=>2.4 (fixed
    buffer allocation and possible races)
  - 11_20-serial-mct_u232-cts.patch: allow MCT-U232 to work with devices which
    do not assert CTS
  - 11_21-serial-visor-sony-ux50.patch: add support for Sony UX50 device to
    visor driver

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- added:
  + 90_10-hci_usb-zero-packet.patch - make CONFIG_BLUEZ_USB_ZERO_PACKET
    configurable via the hci_usb module parameter (zero_packet).

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- added:
  + 08_02-scanner-0.4.15.patch
  + 08_03-scanner-0.4.15.patch
  + 08_04-scanner-0.4.15.patch
  + 08_08-serial-visor-treo-600.patch
  + 08_11-hcd-ehci-fixes.patch
  + 08_13-serial-ftdi_sio-new-ids.patch
  + 08_14-serial-ftdi_sio-new-ids.patch
  + 08_15-serial-ftdi_sio-version.patch
  + 08_16-storage-unusual_devs.patch

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.29-alt1
- moved from kernel-feat-drivers-usb to here:
  + 01_07-serial-ftdi_sio-new-ids.patch
  + 01_08-net-zaurus-750-760.patch
  + 01_15-serial-ftdi_sio-new-ids-2.patch
  + 01_18-serial-io_ti-new-ids.patch
  + 01_24-serial-visor-garmin-ique.patch
- added:
  + 01_20-serial-ftdi_sio-cleanup.patch
  + 03_01-serial-pl2303-halt-fix.patch
  + 03_02-serial-update.patch
  + 03_03-serial-pl2303-B0-locking.patch
  + 03_04-serial-disconnect-oops.patch
  + 03_05-acm-copy_from_user.patch
  + 03_06-aiptek-copy_from_user.patch
  + 03_07-hcd-uhci-copy_to_user.patch
  + 03_08-mdc800-copy_to_user.patch
  + 03_09-video-stv680-copy_from_user.patch
  + 03_10-video-vicam-copy_to_user.patch
  + 03_11-storage-unusual_devs.patch
  + 05_01-storage-unusual_devs.patch
  + 05_02-pl2303-new-ids.patch
  + 05_11-storage-ufi-pad.patch
  + 05_13-serial-ipaq-fix.patch
  + 05_14-video-locking-fixes.patch
  + 05_15-serial-ftdi_sio-new-ids.patch
  + 05_17-storage-unusual_devs.patch
  + 90_09-serial-ipaq-rover-p3plus.patch

* Thu Sep 25 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.25-alt1
- added 80_02-serial-zyxel-omninet.diff: ZyXEL Omni 56K PLUS & DUO support

* Tue Sep 02 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.02-alt1
- removed:
  - 01_30-hcd-ehci-io-watchdog.patch (already in 2.4.22)
  - 80_02-scanner-fix-alt.patch (replaced with *-scanner-0.4.14-*)
  - 90_05_usb-storage-unusual_devs.patch (already in 2.4.22)
  - 90_07_usb-pwc-update.patch (adds bugs instead of fixing them)
- added:
  + 01_01-storage-unusual_devs.patch
  + 01_02-scanner-0.4.14-new-ids.patch
  + 01_03-scanner-0.4.14-max-minor.patch
  + 01_04-scanner-0.4.14-disconnect.patch
  + 01_05-scanner-0.4.14-cleanup-fix.patch
  + 01_06-hcd-ehci-arm-readb.patch
  + 01_10-video-pwc-8.11.patch
  + 01_11-serial-pl2303-0.10.patch
  + 01_12-storage-unusual_devs.patch
  + 01_13-hcd-ehci-hs-interrupt.patch
  + 01_14-serial-pl2303-fix.patch
  + 01_16-storage-unusual_devs.patch
  + 01_17-hcd-ehci-reset-fix.patch
  + 01_19-storage-unusual_devs.patch
- updated:
  + 90_02_usb_storage.patch (fixed conflicts with other patches; is this patch
    really required for 2.4.22?)

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.09.01-alt1
- removed: 01_25-serial-pl2303-oops.patch
01_34-hcd-ehci-smp-bug.patch
01_36-serial-pl2303-break.patch
01_38-hcd-ehci-compile-fix.patch
01_39-storage-pid_t.patch
01_40-core-pid_t.patch
01_41-storage-olympus-sign.patch
01_49-net-ethtool-name-1.patch
01_51-core-usbdevfs-race.patch
01_52-net-ethtool-name-2.patch
01_54-hid-report-id.patch
01_61-hid-logical-min-max.patch
02_11-hcd-usb-uhci-oneshot-int.patch
02_12-hcd-usb-ohci-oneshot-int.patch
02_13-video-vicam-disconnect-1.patch
02_14-video-vicam-disconnect-2.patch
02_15-video-vicam-disconnect-3.patch
05_02-core-langid-uninitialized.patch
05_12-storage-fix-capacity.patch
05_13-storage-inquiry-fix.patch
80_01-video-vicam-compile.patch 


* Wed Jul 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.16-alt1
- added:
   + core-langid-uninitialized - prevent access to uninitialized memory in
     usb_string()
   + storage-fix-capacity - support for FL_FIX_CAPACITY in usb-storage
     (prerequisite for the next patch)
   + storage-inquiry-fix - fixed possible oops in usb-storage when handling
     INQUIRY

* Mon Jul 07 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.07-alt2
- added:
   + scanner-fix-alt - fixed oops when unplugging an used scanner; fixed probe
     error handling

* Mon Jul 07 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.07-alt1
- new patches from linux-usb-devel:
   + workaround for pl2303 oops on close
   + EHCI I/O watchdog timer (fixes intermittent bulk I/O halts)
   + EHCI SMP bugfix
   + pl2303 break control fix
   + ehci-hcd compile fix
   + fix to use pid_t for pid storage
   + ethtool driver name fixes
   + usbdevfs/khubd race fix
   + one-shot interrupt transfer fix for usb-uhci and usb-ohci
   + vicam disconnect handling fix
- compilation fix for the updated vicam driver
- some old patches replaced with equivalent from linux-usb-devel
- updated hid-core-noget-alt patch: removed old cruft (hid_blst_noget etc.),
  left only the no_get parameter handling

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.30-alt3
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.30-alt2
- usb-hid-report-id and usb-hid-logical-min-max patches added
- spec improvements: using %%source and %%install_patches macroses

* Mon Jun 30 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.30-alt1
- Initial release

